#
# spec file for package wyrd
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wyrd
Version:        1.4.6
Release:        bp153.1.15
Summary:        Text-based front-end to Remind time organizer
License:        GPL-2.0
Group:          Productivity/Office/Organizers
Url:            http://pessimization.com/software/wyrd/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-ncurses.patch
Patch1:         reproducible.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  camlp4
BuildRequires:  ncurses-devel
BuildRequires:  pkg-config
BuildRequires:  remind
Requires:       remind
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Wyrd is a text-based front-end to Remind, a sophisticated calendar and alarm
program. Remind's power lies in its programmability, and Wyrd does not hide
this capability behind flashy GUI dialogs. Rather, Wyrd is designed to make you
more efficient at editing your reminder files directly. It also offers a
scrollable timetable suitable for visualizing your schedule at a glance.

Unlike most of the calendar applications available today, Wyrd is designed to
be both lightweight and fast. Startup time is negligible, UI navigation is
instantaneous, and the wyrd process typically consumes less than 2MB of
resident memory.

%prep
%setup -q
%patch0
%patch1 -p1

%build
autoreconf -fi
%configure --enable-utf8
make

%install
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/manual.html README COPYING ChangeLog
%doc %{_mandir}/man1/wyrd.1%{ext_man}
%doc %{_mandir}/man5/wyrdrc.5%{ext_man}
%config %{_sysconfdir}/wyrdrc
%attr(0755,root,root) %{_bindir}/wyrd

%changelog
* Tue Mar 13 2018 bwiedemann@suse.com
- Add reproducible.patch to normalize build time (boo#1047218)
* Wed May 17 2017 werner@suse.de
- Add patch wyrd-1.4.6-ncurses.patch
  to fix configuring and compiling with latest ncurses
- Add autoconf as well as automake to build requires
- Also silent configure by adding remind to build requires
* Mon Apr 22 2013 puzel@suse.com
- update to wyrd-1.4.6
  - Fixed a failure to quote filenames in the editor commands
    provided by the default wyrdrc.
  - Fixed a crash when the terminal is resized while wyrd is
    executing an external editor or browser.  (In some
    environments, this would happen every time a reminder file is
    edited.)
  - Fixed 'configure' errors when compiling with OCaml 4.
  - Added Oasis metadata.
  - Added automatic refresh of the display when reminder files are
    modified.
  - Added a backtrace printout for unhandled exceptions.
  - Fixed a parallel-make race conditoin resulting from integration
    of upstream ocaml-curses.
  - Fixed a crash when the terminal is resized.
  - Fixed some crashes which could be triggered by pressing arrow
    keys or entering non-printable characters from the "quick add"
    entry field.
* Wed Dec 22 2010 puzel@novell.com
- clean up specfile
* Tue Nov  2 2010 puzel@novell.com
- disable parallel build (does not work)
* Wed Oct 27 2010 puzel@novell.com
- update to wyrd-1.4.5
  - switched from personal fork of OCaml curses bindings to the
    community-maintained library from
    http://www.nongnu.org/ocaml-tmk/ .
  - fixed bug which prevented "quick add" feature from accepting
    UTF-8 encoded text.
  - implemented improved support for Remind's new "reminder
    directory" capability.
* Fri Jan 22 2010 puzel@novell.com
- initial package (version 1.4.4)
